Loading...
Searching...
No Matches
dvbt_map.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT_MAP_H
#define INCLUDED_DTV_DVBT_MAP_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
#include <gnuradio/dtv/dvbt_config.h>
namespace gr {
namespace dtv {
/*!
* \brief DVB-T mapper.
* \ingroup dtv
*
* ETSI EN 300 744 Clause 4.3.5. \n
* Data input format: \n
* 000000Y0Y1 - QPSK. \n
* 0000Y0Y1Y2Y3 - 16QAM. \n
* 00Y0Y1Y2Y3Y4Y5 - 64QAM. \n
* Data output format: \n
* complex(real(float), imag(float)).
*/
class DTV_API dvbt_map : virtual public block
{
public:
typedef std::shared_ptr<dvbt_map> sptr;
/*!
* \brief Create a DVB-T mapper.
*
* \param nsize length of input stream. \n
* \param constellation constellation used. \n
* \param hierarchy hierarchy used. \n
* \param transmission transmission mode used. \n
* \param gain gain of complex output stream.
*/
static sptr make(int nsize,
dvb_constellation_t constellation,
dvbt_hierarchy_t hierarchy,
dvbt_transmission_mode_t transmission,
float gain);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT_MAP_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::dtv::dvbt_map
DVB-T mapper.
Definition dvbt_map.h:33
gr::dtv::dvbt_map::make
static sptr make(int nsize, dvb_constellation_t constellation, dvbt_hierarchy_t hierarchy, dvbt_transmission_mode_t transmission, float gain)
Create a DVB-T mapper.
gr::dtv::dvbt_map::sptr
std::shared_ptr< dvbt_map > sptr
Definition dvbt_map.h:35
dvb_config.h
dvbt_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv::dvbt_hierarchy_t
dvbt_hierarchy_t
Definition dvbt_config.h:14
gr::dtv::dvbt_transmission_mode_t
dvbt_transmission_mode_t
Definition dvbt_config.h:21
gr::dtv::dvb_constellation_t
dvb_constellation_t
Definition dvb_config.h:79
gr
GNU Radio logging wrapper.
Definition basic_block.h:29